Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.ss.usermodel
Interface Drawing

All Known Implementing Classes:
  HSSFPatriarch

    public interface Drawing

High level representation of spreadsheet drawing.

Author:
  Yegor Kozlov, Roman Kashitsyn

Method Summary
`ClientAnchor` | `createAnchor(int dx1, int dy1, int dx2, int dy2, int col1, int row1, int col2, int row2)` Creates a new client anchor and sets the top-left and bottom-right coordinates of the anchor.
`Comment` | `createCellComment(ClientAnchor anchor)` Creates a comment.
`Chart` | `createChart(ClientAnchor anchor)` Creates a chart.
`Picture` | `createPicture(ClientAnchor anchor, int pictureIndex)` Creates a picture.

Method Detail

### createPicture

    Picture createPicture(ClientAnchor anchor,
                          int pictureIndex)

  Creates a picture.

  Parameters:
    `anchor` - the client anchor describes how this picture is attached to the sheet.
    `pictureIndex` - the index of the picture in the workbook collection of pictures.
  Returns:
    the newly created picture.

### createCellComment

    Comment createCellComment(ClientAnchor anchor)

  Creates a comment.

  Parameters:
    `anchor` - the client anchor describes how this comment is attached to the sheet.
  Returns:
    the newly created comment.

### createChart

    Chart createChart(ClientAnchor anchor)

  Creates a chart.

  Parameters:
    `anchor` - the client anchor describes how this chart is attached to the sheet.
  Returns:
    the newly created chart

### createAnchor

    ClientAnchor createAnchor(int dx1,
                              int dy1,
                              int dx2,
                              int dy2,
                              int col1,
                              int row1,
                              int col2,
                              int row2)

  Creates a new client anchor and sets the top-left and bottom-right coordinates of the anchor.

  Parameters:
    `dx1` - the x coordinate in EMU within the first cell.
    `dy1` - the y coordinate in EMU within the first cell.
    `dx2` - the x coordinate in EMU within the second cell.
    `dy2` - the y coordinate in EMU within the second cell.
    `col1` - the column (0 based) of the first cell.
    `row1` - the row (0 based) of the first cell.
    `col2` - the column (0 based) of the second cell.
    `row2` - the row (0 based) of the second cell.
  Returns:
    the newly created client anchor

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD